Adding ES6 support for JS and ExtendScript

  • 2
  • Idea
  • Updated 2 years ago
Photoshop has been out for a long time. It has seen many releases and updates. Somewhere in all those releases and updates, scripting support has been added. That being said, it hasn't changed much since then.

The JS scripting engine is still stuck on ES4, which is really limited and considerably worse than what we have today; ES6. A lot of the ES6 features are hard and impractical to emulate. While we could easily emulate the block level scoping of ES6, what about the lack of hoisting that the let keyword also has? That one feature ALONE could fix a LOT of buggy JS code.

I am honestly disappointed by this. Those of us who spend long hours at night writing code for our favorite image processing application are almost completely ignored at this point. Please let this happen.
Photo of David Deer

David Deer

  • 1 Post
  • 0 Reply Likes
  • Dissapointed

Posted 2 years ago

  • 2

Be the first to post a reply!